Summary: Frontend for Panorama Tools, similar to PTAssembler, PTGui or Open for Windows
Name: hugin
Version: 0.6.1
Release: 6%{?dist}
License: GPL
Group: Applications/Multimedia
Source0: http://prdownloads.sourceforge.net/hugin/%{name}-%{version}.tar.bz2
URL: http://hugin.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libpano12 > 2.8.3 wxGTK >= 2.6.0 boost
Requires: shared-mime-info
BuildRequires: libpano12-devel > 2.8.3 zlib-devel libtiff-devel libjpeg-devel
BuildRequires: libpng-devel gettext-devel wxGTK-devel >= 2.6.0 boost-devel
BuildRequires: desktop-file-utils

%description
hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images.  It uses the Panorama Tools as backend
to create high quality images

%prep
%setup -q
# autopanog.exe is a mono app
sed -i 's/"autopanog.exe"/"mono `which autopanog.exe`"/' \
       src/include/hugin/config_defaults.h

rm -rf src/hugin/xrc/data/help_fr_FR/CVS
rm -rf src/hugin/xrc/data/help_en_EN/CVS
rm -f  src/hugin/xrc/data/help_fr_FR/.cvsignore
rm -f  src/hugin/xrc/data/help_en_EN/.cvsignore

chmod -x src/include/*/*.h

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install --vendor="fedora" --delete-original \
  --dir=%{buildroot}/%{_datadir}/applications \
  %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}
%find_lang nona_gui
cat nona_gui.lang >> %{name}.lang

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%files -f %{name}.lang
%defattr(-, root, root,-)
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/gnome/48x48/mimetypes/*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*

%doc ABOUT-NLS AUTHORS BUGS ChangeLog COPYING INSTALL LICENCE NEWS README TODO src/hugin/xrc/data/*.htm src/hugin/xrc/data/*.html src/hugin/xrc/data/help_en_EN src/hugin/xrc/data/help_fr_FR HACKING LICENCE_JHEAD LICENCE_VIGRA doc/nona.txt

%changelog
* Tue Mar 20 2007 Bruno Postle <bruno@postle.net> 0.6.1-6
- bump release due to extras make tag brokenness

* Thu Mar 15 2007 Bruno Postle <bruno@postle.net> 0.6.1-5
- add shared-mime-info, desktop-file-utils dependencies
- use desktop-file-install for .desktop file

* Sun Sep 17 2006 Bruno Postle <bruno@postle.net> 0.6.1-4
- Fix spec typos and cruft, use find_lang, post and postun fixes

* Fri Sep 15 2006 Bruno Postle <bruno@postle.net> 0.6.1-2
- replace mono autopanog patch with sed

* Thu Aug 24 2006 Bruno Postle <bruno@postle.net> 0.6.1-1
- 0.6.1 release

* Mon Jul 24 2006 Bruno Postle <bruno@postle.net> 0.6-4
- 0.6 release, tidy spec file, add post-release autopano-sift patch

* Mon Jul 24 2006 Bruno Postle <bruno@postle.net> 0.6-3
- 0.6 release

* Thu Jul 20 2006 Bruno postle <bruno@postle.net> 0.6-2cvs20060720
- CVS snapshot

* Mon Jul 17 2006 Bruno postle <bruno@postle.net> 0.6-2cvs20060717
- CVS snapshot

* Mon Jun 19 2006 Bruno postle <bruno@postle.net> 0.6-2cvs20060611
- Recompile to link to libpano12-2.8.4. use find_lang macro. remove repo tag. use dist tag

* Sun Jun 11 2006 Bruno postle <bruno@postle.net> 0.6-1cvs20060611.fc5.bp
- CVS snapshot

* Wed Jun 07 2006 Bruno postle <bruno@postle.net> 0.6-1cvs20060607.fc5.bp
- CVS snapshot

* Sun May 21 2006 Bruno postle <bruno@postle.net> 0.6-1cvs20060521.fc5.bp
- CVS snapshot, requires current libpano12 CVS

* Mon May 15 2006 Bruno postle <bruno@postle.net> 0.6-1cvs20060515.fc5.bp

* Thu Apr 27 2006 Bruno Postle <bruno@postle.net> 0.6-1cvs20060427.fc5.bp
- 0.6 CVS snapshot.

* Fri Apr 21 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot. new projections

* Wed Apr 19 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot + gcc 4.1 hack.
- batch processing for fulla.
- requires latest pano12 > 2.8.0 for direct access to optimiser

* Sat Mar 25 2006 Bruno Postle <bruno@postle.net>
- rebuild for fc5

* Thu Mar 09 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot + hack to fix charset of cs_CZ translation

* Thu Mar 09 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot. new vignetting/aberation/lens correction tool: fulla

* Tue Mar 07 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot, add missing docs

* Mon Mar 06 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot

* Wed Feb 22 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot + boost hack

* Mon Feb 13 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot + quick hack to get it to build with boost-1.32.

* Fri Feb 10 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot + quick hack to get it to build with boost-1.32.

* Sat Jan 14 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot.

* Thu Jan 12 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot. Philippe Thomins color correction tool. fix for ptoptimizer

* Mon Jan 09 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot. nona vignetting correction

* Thu Dec 01 2005 Bruno Postle <bruno@postle.net>
- rebuild on different machine due to '/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.6' not found error.

* Wed Nov 30 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. now requires freshrpms wxGTK > 2.6.0

* Mon Nov 14 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. included ca_ES catalan translation

* Thu Nov 10 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. included hu hungarian translation

* Tue Nov 01 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Fri Sep 16 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. includes zh_CN Chinese translation

* Fri Sep 16 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. includes nl dutch translation

* Sat Sep 03 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Wed Aug 17 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.
- Remove patch that turns off enblend compression, as compression
  is now disabled by default.

* Mon Jul 19 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. switched from fc2 to fc4

* Mon Jun 13 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Thu Jun 02 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Sat May 14 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Thu May 12 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Tue Apr 26 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Thu Apr 17 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Thu Mar 10 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. This is approximately hugin 0.5 beta3

* Mon Feb 28 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. Removed fftw dependency

* Thu Feb 03 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Thu Jan 20 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Sat Jan 15 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.

* Mon Nov 22 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs. patch to call enblend without compression.
  patch to call autopanog.exe via mono.

* Wed Nov 17 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Sat Nov 13 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Sat Nov 06 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Thu Oct 21 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Should fix bug where fov can't be optimised

* Wed Oct 20 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Updated French translation.
  add enblend dependency.

* Mon Oct 18 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Thu Oct 14 2004 Bruno Postle  <bruno@postle.net>
- New build for fedora fc2.
  Now uses automake/autoconf
  Switch dependency from panorama-tools to libpano12 & libpano12-devel

* Tue Sep 21 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Fri Sep 17 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Thu Sep 16 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Thu Sep 09 2004 Bruno Postle <bruno@postle.net>
- new build from cvs.  point picker can do rotation matching, various bugfixes.
  panoviewer doesn't get built anymore.

* Tue Aug 31 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Should fix bug where enblend isn't executed from the gui.

* Wed Aug 18 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Fri Jul 23 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, removed vigra dependency.

* Tue Jul 13 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, still requires vigra, though the vigra stuff is now
  in the hugin tree. Installs utilities: mergepto pta2hugin.py run-autopano-sift.sh

* Fri Jul 02 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, needs a newer patched vigra
- install various (nonworking?) tools automatch autooptimiser panosifter
  autopano_old

* Fri Jun 18 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs

* Tue Jun 15 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, requires a vigra with 16bit unsigned tiff support
     remove: autopano_old, automatch, autooptimiser, panosifter

* Sun Apr 04 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, new features:
     autopano integration
     delete control points between selected images
     reset positions of all selected images

* Thu Mar 18 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs

* Sun Mar 14 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, this is post 0.4b release with nona_gui

* Fri Feb 20 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs

* Tue Feb 10 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs

* Sun Feb 08 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  forgot sift_keypoints

* Sun Feb 08 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Now doesn't depend on vigra

* Fri Feb 06 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Wed Feb 04 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Now depends on vigra

* Tue Feb 03 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Two new tools autooptimiser and panosifter

* Wed Jan 15 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs. now includes automatch

* Wed Jan 07 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Thu Jan 03 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  This is the 0.4pre release

* Thu Jan 01 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  autopano now requires fftw.

* Sat Dec 20 2003 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Mon Dec 15 2003 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Sat Dec 13 2003 Bruno Postle  <bruno@postle.net>
- new build from cvs.

* Wed Dec 03 2003 Bruno Postle  <bruno@postle.net>
- new build from cvs

* Sun Nov 30 2003 Bruno Postle <bruno@postle.net>
- The vigra library when compiled with shared libraries isn't actually
  necessary to run nona, so it's now only a build requirement.  The
  panorama-tools package is now split with the nonfree package now
  required to run hugin.

* Sat Nov 29 2003  Bruno Postle  <bruno@postle.net>
- new build from cvs; stitcher is now called nona

* Tue Nov 25 2003 Bruno Postle  <bruno@postle.net>
- new build from cvs;

* Mon Nov 24 2003 Bruno Postle  <bruno@postle.net>
- new build from cvs; add vigra dependency for stitcher

* Sat Nov 22 2003 Bruno Postle  <bruno@postle.net>
- new build from cvs; don't bother with gtk2 since freshrpms dropped it :-(

* Sun Nov 16 2003 Bruno Postle <bruno@postle.net>
- new build from cvs; patch to build with gtk2

* Sun Nov 09 2003 Bruno Postle <bruno@postle.net>
- new build from cvs; first build with fedora1

* Fri Nov 07 2003 Bruno Postle <bruno@postle.net>
- new build from cvs

* Tue Nov 04 2003 Bruno Postle <bruno@postle.net>
- new build from cvs

* Wed Oct 30 2003 Bruno Postle <bruno@postle.net>
- new build from cvs

* Mon Oct 27 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, added manual.html to doc and [de] translation to .desktop

* Tue Oct 14 2003 Bruno Postle <bruno@postle.net>
- new build from cvs

* Mon Oct 13 2003 Bruno Postle <bruno@postle.net>
- build of hugin-0-3-beta release, sorry no time to fix numbering.

* Sun Oct 12 2003 Bruno Postle <bruno@postle.net>

* Sun Oct 12 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, added hugin.png desktop icon

* Sat Oct 11 2003 Bruno Postle <bruno@postle.net>
- new build from cvs

* Wed Oct 08 2003 Bruno Postle <bruno@postle.net>
- new build from cvs

* Sat Oct 04 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, patch0 adds a shortcut to gnome/kde menu

* Wed Oct 01 2003 Bruno Postle <bruno@postle.net>
- new build from cvs.

* Sun Sep 28 2003 Bruno Postle <bruno@postle.net>
- new build from cvs.

* Thu Sep 25 2003 Bruno Postle <bruno@postle.net>
- build now requires panorama tools include headers.

* Sun Sep 21 2003 Bruno Postle <bruno@postle.net>
- new build from cvs.

* Tue Sep 16 2003 Bruno Postle <bruno@postle.net>
- new build from cvs.

* Thu Sep 04 2003 Bruno Postle <bruno@postle.net>
- new build from cvs.

* Tue Aug 21 2003 Bruno Postle <bruno@postle.net>
- new build from cvs.

* Tue Aug 12 2003 Bruno Postle <bruno@postle.net>
- new build from cvs.

* Wed Aug 06 2003 Bruno Postle <bruno@postle.net>
- new build from cvs. po/mo files still not getting built

* Sat Aug 02 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, panoviewer now gets built by default. removed
  useless .po installation.

* Sun Jul 27 2003 Bruno Postle <bruno@postle.net>
- new build from cvs

* Sat Jul 26 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, panoviewer built as well

* Sat Jul 19 2003 Bruno Postle <bruno@postle.net>
- new build

* Sat May 31 2003 Bruno Postle <bruno@postle.net>
- new build

* Sat May 24 2003 Bruno Postle <bruno@postle.net>
- build of wxGTK version

* Sat May 10 2003 Bruno Postle
- Initial RPM release.
